# QValidator Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QValidator(QObject parent)

### Constructor Properties

- prototype: The QValidator prototype object
- Invalid
- Intermediate
- Acceptable
- State( value )

### Prototype Object Properties

The QValidator prototype object inherits properties from the QObject prototype object and also has the following properties.

- void fixup(String arg__1)
- QLocale locale()
- void setLocale(QLocale locale)
- State validate(String arg__1, int arg__2)

### Instance Properties

QValidator objects have no special properties beyond those inherited from the QValidator prototype object.